### Method

# GVnc Connection framebuffer_update_request

#### Declaration [src]

    gboolean
    vnc_connection_framebuffer_update_request (
      VncConnection* conn,
      gboolean incremental,
      guint16 x,
      guint16 y,
      guint16 width,
      guint16 height
    )

#### Description [src]

Request that the server send a framebuffer update when the region positioned at (`x`, `y`) wth size (`width`, `height`) sees damage. The update sent may be a subset of the region requested, if `incremental` is FALSE.

#### Parameters

`incremental`

  Type: `gboolean`

  TRUE to only receive region with changes.

`x`

  Type: `guint16`

  Horizontal offset to region of update.

`y`

  Type: `guint16`

  Vertical offset to region of update.

`width`

  Type: `guint16`

  Horizontal size of region of update.

`height`

  Type: `guint16`

  Vertical size of region of update.

#### Return value

Type: `gboolean`

TRUE if the connection is ok, FALSE if it has an error.